***   Program 1_6_1   ***;
TITLE1 'Normal Probability Plot';
TITLE2 'Beeswax Data';
LIBNAME datalib 'c:\data';

PROC SORT DATA=datalib.beeswax OUT=sortdata;
   BY degree;
PROC MEANS DATA=datalib.beeswax NOPRINT MEAN STD N;
   VAR degree;
   OUTPUT OUT=meandata MEAN=mu STD=sigma N=n;
DATA data1;
   SET meandata;
   DO k=1 TO n;
      SET sortdata POINT=k;      
      quantile=PROBIT(k/(n+1));            
      model=sigma * quantile + mu;
      OUTPUT;
   END; STOP;

SYMBOL1   V=DOT  C=GREEN I=NONE H=0.3;
SYMBOL2   V=NONE C=RED   I=JOIN  L=1  W=0.5;
AXIS1 LABEL=(H=3 'X' H=1.5 ' k:n');
AXIS2 LABEL=NONE;
FOOTNOTE1 H=3   F=CGREEK     'F'
          H=2   M=(+0,+1.2)  F=COMPLEX '-1'
          H=2.5 M=(+0,-1)    '(k/(n+1))';

PROC GPLOT DATA=data1;
   PLOT degree*quantile=1  model*quantile=2
        / OVERLAY  VAXIS=AXIS1 HAXIS=AXIS2;
RUN;
QUIT;
