***   Program 7_3_4   ***;
TITLE1 'Nonmetric MDS Solution';
TITLE2 'Economy Data';
LIBNAME datalib 'c:\data';

PROC STANDARD DATA=datalib.economy OUT=economy STD=1;
  VAR invest inflatn gnp nukes unempld;

PROC IML;
***   import dataset economy;
  USE economy;
  READ ALL VAR{invest inflatn gnp nukes unempld} INTO x;
***   computation of distance matrix;
  dist=J(20,20,.);
  DO k=1 TO 20;
    DO l=1 TO 20;
      d1=(x[k,]-x[l,]);
      dist[k,l]=d1*d1`;
    END;
  END;
CREATE dist1 FROM dist;
APPEND FROM dist;
QUIT;                            *  quit IML;

DATA dist2 (KEEP=land col1-col20);
  MERGE economy dist1;

PROC MDS DATA=dist2 DIM=2 TO 4 OUT=mdsout;
   ID land;

DATA annomds;
   SET mdsout(WHERE=(_DIMENS_=2));
   FUNCTION='LABEL'; TEXT=country; XSYS='2'; YSYS='2';  HSYS='4';
   POSITION='C';  SIZE=1.5;   X=DIM2; Y=DIM1;
    IF country IN('DENMARK' 'ITALY' 'AUSTRIA') THEN POSITION='3';
    IF country IN('GREAT BRITAN' 'GERMANY') THEN POSITION='2';
    IF country IN('LUXEMBURG' 'CANADA') THEN POSITION='F';
    IF country IN('NETHERLANDS' 'FRANCE') THEN POSITION='1';

SYMBOL1 V=DOT  C=GREEN  H=0.6;
PROC GPLOT DATA=mdsout(WHERE=(_TYPE_='CONFIG' AND _DIMENS_=2));
   PLOT DIM1*DIM2 / ANNOTATE=annomds NOAXIS HREF=0 VREF=0;
RUN; QUIT;
