***   Program 7_5_2   ***;
TITLE1 'Kernel Density Estimator';
TITLE2 'Random Data';
LIBNAME datalib 'c:\data';

PROC MEANS DATA=datalib.random MIN MAX NOPRINT;
   VAR x1 x2;
   OUTPUT OUT=margin MIN=x1min x2min  MAX=x1max x2max;

DATA datalib.density(KEEP=x y de i);
  SET margin;
  h=1.5;                     *  bandwidth  ;
  DO x=INT(x1min)-4 TO INT(x1max)+4 BY .7;
    DO y=INT(x2min)-4 TO INT(x2max)+4 BY .7;
    d=0;
    DO i=1 TO 140;
      SET datalib.random POINT=i;
      z=((x-x1)**2+(y-x2)**2)/h**2;
      f=(2/3.14159)*(1-z);   * Epanechnikov kernel;
      f=max(0,f);      d=d+f;
    END;
    de=d/(140*(h**2));
    OUTPUT;  
  END;  
END;  
STOP;

SYMBOL1  C=GREEN I=JOIN V=NONE L=1 WIDTH=2;
PROC G3D DATA=datalib.density(RENAME=(y=x1 x=x2));
  PLOT x2*x1=de;
RUN; QUIT;
