***   Program 8_1_2   ***;
TITLE1 'Principal Components';
TITLE2 'data from Figure 8.1.1';
LIBNAME datalib 'c:\data';

PROC PRINCOMP DATA=datalib.pca1 COV OUTSTAT=stats NOPRINT;
   VAR x1 x2;

DATA anno;
   LENGTH FUNCTION $8.;
   SET stats;
   RETAIN mx my l1 l2;
   IF _TYPE_='MEAN' THEN DO;  mx=x1;  my=x2;  END;
   IF _TYPE_='EIGENVAL' THEN DO;
                  l1=SQRT(x1);  l2=SQRT(x2);  END;
   IF _TYPE_='SCORE'    THEN DO;
      IF _NAME_='Prin1'  THEN  l=2.5*l1;
                         ELSE  l=2.5*l2;
      XSYS='2';  YSYS='2';  COLOR='RED';
      FUNCTION='MOVE';  X=mx-l*x1;  Y=my-l*x2;  OUTPUT;
      FUNCTION='DRAW';  X=mx+l*x1;  Y=my+l*x2;  OUTPUT;   END;

SYMBOL1 V=DOT H=0.3 I=NONE C=G;
AXIS1 ORDER=(-4 TO 4) LENGTH=6CM VALUE=(H=1.5);
PROC GPLOT DATA=datalib.pca1;
   PLOT x2*x1 / VAXIS=AXIS1 HAXIS=AXIS1 ANNOTATE=anno;
RUN; QUIT;
